> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# Update

PATCH https://api.x.flatfile.com/v1/data-clips/{dataClipId}
Content-Type: application/json

Reference: https://reference.flatfile.com/api-reference/data-clips/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `dataClipId` (string, required) — Data Clip ID

### Body (application/json)

This endpoint expects an UpdateDataClipRequest.

- `name` (string, required) — The name of the DataClip.
- `description` (string, optional) — A description of the DataClip.
- `status` (string, optional) — The status of the DataClip.
- `collaborators` (list of string, optional) — The list of collaborators.
- `sharedLinkAccess` (enum, optional) — The type of shared link to generate for the DataClip.
  - Allowed values: `public`, `restricted`

## Response

### 200

- `data` (DataClip, required) — The list of DataClips.

## Types

### DataClip

- `id` (string, required) — Data Clip ID
- `name` (string, required) — The name of the DataClip.
- `sourceSheetId` (string, required) — The ID of the source sheet.
- `clipSheetId` (string, required) — The ID of the sheet that is clipped from source sheet.
- `workbookId` (string, required) — The ID of the workbook.
- `status` (string, required) — The status of the DataClip.
- `createdBy` (string, required) — The user who created the DataClip.
- `updatedAt` (datetime, required) — The date when the DataClip was updated.
- `createdAt` (datetime, required) — The date when the DataClip was created.
- `description` (string, optional) — A description of the DataClip.
- `mergedAt` (datetime, optional) — The date when the DataClip was merged.
- `deletedAt` (datetime, optional) — The date when the DataClip was deleted.
- `guestLinkUrl` (string, optional) — A URL for guests to access the DataClip.
- `accessToken` (string, optional) — A signed token associated with the guest link.
- `sharedLinkAccess` (string, optional) — Indicates the shared link access level, public or restricted

## Examples

**Request**

```json
{
  "name": "name"
}
```

**Response**

```json
{
  "data": {
    "id": "id",
    "name": "name",
    "sourceSheetId": "sourceSheetId",
    "clipSheetId": "clipSheetId",
    "workbookId": "workbookId",
    "status": "status",
    "createdBy": "createdBy",
    "updatedAt": "2024-01-15T09:30:00Z",
    "createdAt": "2024-01-15T09:30:00Z",
    "description": "description",
    "mergedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "guestLinkUrl": "guestLinkUrl",
    "accessToken": "accessToken",
    "sharedLinkAccess": "sharedLinkAccess"
  }
}
```

**SDK Code**

```typescript
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.dataClips.update("dataClipId", {
    name: "name"
});

```

```python
import requests

url = "https://api.x.flatfile.com/v1/data-clips/dataClipId"

payload = { "name": "name" }
headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/data-clips/dataClipId"

	payload := strings.NewReader("{\n  \"name\": \"name\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/data-clips/dataClipId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"name\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.x.flatfile.com/v1/data-clips/dataClipId")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"name\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.x.flatfile.com/v1/data-clips/dataClipId', [
  'body' => '{
  "name": "name"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/data-clips/dataClipId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"name\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "name"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/data-clips/dataClipId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```